       IDENTIFICATION DIVISION.
       PROGRAM-ID.    TEST2.

      ***************************************************
      * TEST2                                           *
      * send email in HTML Mode                         *
      * Using a Template FILE                           *
      ***************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT EMAILDATA
                  ASSIGN TO PRINT "EMAIL.TXT"
                  FILE STATUS IS STAT-EMAIL.


       DATA DIVISION.
       FILE SECTION.

       FD  EMAILDATA
           LABEL RECORDS ARE OMITTED.
       01  LINEA         PIC X(500).

       WORKING-STORAGE SECTION.

       77 IK             PIC X.
       77 RESP           PIC X.

       77  STAT-EMAIL      PIC XX.
       
       COPY "COBEMAIL.WSS".


       PROCEDURE DIVISION.
       000-INICIO.
           OPEN OUTPUT EMAILDATA.


           MOVE "JOSE ALBERTO ORTEGA" TO FROM-NAME.
           MOVE "alberto@cobtools.com" TO FROM-EMAIL.
           WRITE LINEA FROM EMAIL-FROM.

           MOVE "ALBERTO ORTEGA" TO TO-NAME.
           MOVE "aortega@cobtools.com" TO TO-EMAIL.
           WRITE LINEA FROM EMAIL-TO.

           MOVE "HTML EMAIL TEST" TO SUBJECT-TEXT.
           WRITE LINEA FROM EMAIL-SUBJECT.

           WRITE LINEA FROM EMAIL-TYPE-HTML.

           MOVE ".\HTML\EMAIL1.HTM" TO FILE-TEMPLATE.
           WRITE LINEA FROM EMAIL-TEMPLATE.


           CLOSE EMAILDATA.

           CALL "SYSTEM" USING
                "c:\cobemail\cobSendM.EXE EMAIL.TXT /nodel".


       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

