       IDENTIFICATION DIVISION.
       PROGRAM-ID.    TEST3.

      ***************************************************
      * TEST3 - For COBEMAIL Version 2.x                *
      * send email in HTML Mode using template file     *
      * Send variables to template                      *
      ***************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT EMAILDATA
                  ASSIGN TO PRINT "EMAIL.TXT"
                  FILE STATUS IS STAT-EMAIL.


       DATA DIVISION.
       FILE SECTION.

       FD  EMAILDATA
           LABEL RECORDS ARE OMITTED.
       01  LINEA         PIC X(500).

       WORKING-STORAGE SECTION.

       77 IK             PIC X.
       77 RESP           PIC X.

       77  STAT-EMAIL      PIC XX.
       
       COPY "COBEMAIL.WSS".


       PROCEDURE DIVISION.
       000-INICIO.
           OPEN OUTPUT EMAILDATA.


           MOVE "JOSE ALBERTO ORTEGA" TO FROM-NAME.
           MOVE "alberto@cobtools.com" TO FROM-EMAIL.
           WRITE LINEA FROM EMAIL-FROM.

           MOVE "ALBERTO ORTEGA" TO TO-NAME.
           MOVE "aortega@cobtools.com" TO TO-EMAIL.
           WRITE LINEA FROM EMAIL-TO.

           MOVE "HTML EMAIL TEST" TO SUBJECT-TEXT.
           WRITE LINEA FROM EMAIL-SUBJECT.

           WRITE LINEA FROM EMAIL-TYPE-HTML.
           
           MOVE "NOMBRE" TO EMAIL-VAR-NAME.
           MOVE "JUAN PEREZ" TO EMAIL-VAR-VALUE.
           WRITE LINEA FROM EMAIL-VAR.
           
           MOVE "DIRECCION" TO EMAIL-VAR-NAME.
           MOVE "HIDALGO # 500 ZONA NORTE" TO EMAIL-VAR-VALUE.
           WRITE LINEA FROM EMAIL-VAR.
           
           MOVE "CIUDAD" TO EMAIL-VAR-NAME.
           MOVE "TAMPICO, TAMPS. MEXICO" TO EMAIL-VAR-VALUE.
           WRITE LINEA FROM EMAIL-VAR.
           
           MOVE "TELEFONO" TO EMAIL-VAR-NAME.
           MOVE "52(833) 155-55-55" TO EMAIL-VAR-VALUE.
           WRITE LINEA FROM EMAIL-VAR.

           MOVE ".\HTML\EMAIL2.HTM" TO FILE-TEMPLATE.
           WRITE LINEA FROM EMAIL-TEMPLATE.


           CLOSE EMAILDATA.

           CALL "SYSTEM" USING
                "c:\cobemail\cobSendM.EXE EMAIL.TXT /nodel".


       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

