       IDENTIFICATION DIVISION.
       PROGRAM-ID.    TEST3.

      ***************************************************
      * TEST4 - For COBEMAIL Version 2.x                *
      * send email in HTML Mode using template file     *
      * Write variables and Blocks                      *
      ***************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT EMAILDATA
                  ASSIGN TO PRINT "EMAIL.TXT"
                  FILE STATUS IS STAT-EMAIL.


       DATA DIVISION.
       FILE SECTION.

       FD  EMAILDATA
           LABEL RECORDS ARE OMITTED.
       01  LINEA         PIC X(500).

       WORKING-STORAGE SECTION.

       77 IK             PIC X.
       77 RESP           PIC X.

       77  STAT-EMAIL      PIC XX.
       
       01  ARR-DATA.
           02 FILLER    PIC X(35) VALUE
              "001JUAN PEREZ     01/09/05000011500".
           02 FILLER    PIC X(35) VALUE
              "002MIGUEL HDZ     03/01/04000012350".
           02 FILLER    PIC X(35) VALUE
              "003MICAELA PEREZ  05/04/01000150025".
           02 FILLER    PIC X(35) VALUE
              "004DOMITILA RDZ   16/12/02000035700".
           02 FILLER    PIC X(35) VALUE
              "005CARLOS MORENO  02/10/03000047600".
           02 FILLER    PIC X(35) VALUE
              "006RAMON GARCIA   19/09/07000105800".
           02 FILLER    PIC X(35) VALUE
              "007RUBEN VALDEZ   22/05/02000359300".
           02 FILLER    PIC X(35) VALUE
              "008ALFREDO SOSA   30/01/05000086300".
           02 FILLER    PIC X(35) VALUE
              "009MARGARITA ROSAS23/01/04000079700".
           02 FILLER    PIC X(35) VALUE
              "010RAMIRO ALEJA   25/09/03000100500".
           02 FILLER    PIC X(35) VALUE
              "011ROSENDO JARA   01/04/03000048900".
           02 FILLER    PIC X(35) VALUE
              "012MILU PAZ       02/11/02000098430".
           02 FILLER    PIC X(35) VALUE
              "013MAGDALENA S.   01/09/04000192500".
           02 FILLER    PIC X(35) VALUE
              "014JOHN SMITH     04/06/05000005500".
           02 FILLER    PIC X(35) VALUE
              "015JOSEPH PEREZ   08/05/02000092000".
           02 FILLER    PIC X(35) VALUE
              "016WILIAMS MAR    11/02/04000053200".
           02 FILLER    PIC X(35) VALUE
              "017MARIQUITA P.   21/01/01000027500".
           02 FILLER    PIC X(35) VALUE
              "018MILO S.        23/03/05000057300".
           02 FILLER    PIC X(35) VALUE
              "019ANDRES J.      28/12/03000073660".
           02 FILLER    PIC X(35) VALUE
              "020JUSTO P.       09/11/01000027500".
       01  ARR-DATR          REDEFINES ARR-DATA.
           02 ARR-DATAX      OCCURS 20 TIMES.
              04 ARR-KEY     PIC 9(03).
              04 ARR-NAME    PIC X(15).
              04 ARR-DATE    PIC X(08).
              04 ARR-AMOUNT  PIC 9(07)V99.

       77  DAT-KEY           PIC 9(03).
       77  DAT-NAME          PIC X(15).
       77  WSS-DATE          PIC X(08).
       77  DAT-AMOUNT        PIC 9(07)V99.
       77  L-AMOUNT          PIC Z,ZZZ,ZZ9.99-.
       77  SUM-AMOUNT        PIC S9(12)V99.
       77  I                 PIC 99.

       
       COPY "COBEMAIL.WSS".


       PROCEDURE DIVISION.
       000-INICIO.
           OPEN OUTPUT EMAILDATA.

           MOVE "JOSE ALBERTO ORTEGA" TO FROM-NAME.
           MOVE "alberto@cobtools.com" TO FROM-EMAIL.
           WRITE LINEA FROM EMAIL-FROM.

           MOVE "ALBERTO ORTEGA" TO TO-NAME.
           MOVE "aortega@cobtools.com" TO TO-EMAIL.
           WRITE LINEA FROM EMAIL-TO.

           MOVE "HTML EMAIL TEST" TO SUBJECT-TEXT.
           WRITE LINEA FROM EMAIL-SUBJECT.

           WRITE LINEA FROM EMAIL-TYPE-HTML.
           
           MOVE ".\HTML\EMAIL4.HTM" TO FILE-TEMPLATE.
           WRITE LINEA FROM EMAIL-TEMPLATE.

           PERFORM 100-PRINT VARYING I FROM 1 BY 1 UNTIL I > 20.
      **     PERFORM PRINT-DETTOTAL.
      
           GO TO 900-FIN.
           
      * simulate the READ NEXT for read the data file
      * te fields DAT-xxx simulate record data fields
       100-PRINT.
           MOVE ARR-KEY(I)     TO DAT-KEY.
           MOVE ARR-NAME(I)    TO DAT-NAME
           MOVE ARR-DATE(I)    TO WSS-DATE
           MOVE ARR-AMOUNT(I)  TO DAT-AMOUNT.
           
           MOVE "KEY"    TO EMAIL-VAR-NAME.
           MOVE DAT-KEY  TO EMAIL-VAR-VALUE.
           WRITE LINEA FROM EMAIL-VAR.
           
           MOVE "NAME"   TO EMAIL-VAR-NAME.
           MOVE DAT-NAME TO EMAIL-VAR-VALUE.
           WRITE LINEA FROM EMAIL-VAR.
           
           MOVE "DATE"   TO EMAIL-VAR-NAME.
           MOVE WSS-DATE TO EMAIL-VAR-VALUE
           WRITE LINEA FROM EMAIL-VAR.

           MOVE DAT-AMOUNT TO L-AMOUNT.
           MOVE "AMOUNT"   TO EMAIL-VAR-NAME.
           MOVE L-AMOUNT   TO EMAIL-VAR-VALUE.
           WRITE LINEA FROM EMAIL-VAR.
           
           MOVE "DATOS" TO EMAIL-BLOCK-NAME.
           MOVE "DATOS_PASTE" TO EMAIL-BLOCK-PASTE.
           WRITE LINEA FROM EMAIL-BLOCK.

           ADD DAT-AMOUNT TO SUM-AMOUNT.


       900-FIN.
           CLOSE EMAILDATA.

           CALL "SYSTEM" USING
                "c:\cobemail\cobSendM.EXE EMAIL.TXT /nodel".


       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

