       IDENTIFICATION DIVISION.
       PROGRAM-ID.    TEST5.

      ***************************************************
      * TEST4 - For COBEMAIL Version 2.x                *
      * send email with MEMO viariable                  *
      ***************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT EMAILDATA
                  ASSIGN TO PRINT "EMAIL.TXT"
                  FILE STATUS IS STAT-EMAIL.


       DATA DIVISION.
       FILE SECTION.

       FD  EMAILDATA
           LABEL RECORDS ARE OMITTED.
       01  LINEA         PIC X(1024).

       WORKING-STORAGE SECTION.

       77 IK             PIC X.
       77 RESP           PIC X.

       77  STAT-EMAIL      PIC XX.
       
       77  DAT-KEY           PIC 9(03).
       77  DAT-NAME          PIC X(15).
       77  WSS-DATE          PIC X(08).
       77  DAT-AMOUNT        PIC 9(07)V99.
       77  L-AMOUNT          PIC Z,ZZZ,ZZ9.99-.
       77  SUM-AMOUNT        PIC S9(12)V99.
       77  I                 PIC 99.

       
       COPY "COBEMAIL.WSS".


       PROCEDURE DIVISION.
       000-INICIO.
           OPEN OUTPUT EMAILDATA.

           MOVE "JOSE ALBERTO ORTEGA" TO FROM-NAME.
           MOVE "alberto@cobtools.com" TO FROM-EMAIL.
           WRITE LINEA FROM EMAIL-FROM.

           MOVE "ALBERTO ORTEGA"       TO TO-NAME.
           MOVE "aortega@cobtools.com" TO TO-EMAIL.
           WRITE LINEA FROM EMAIL-TO.

           MOVE "HTML EMAIL TEST" TO SUBJECT-TEXT.
           WRITE LINEA FROM EMAIL-SUBJECT.

           MOVE "MSG" TO EMAIL-VAR-MEMO.
           WRITE LINEA FROM EMAIL-START-VAR-MEMO.

           MOVE "MSG First Line" TO EMAIL-DAT-MEMO.
           WRITE LINEA FROM EMAIL-MEMO.

           MOVE "MSG Second Line" TO EMAIL-DAT-MEMO.
           WRITE LINEA FROM EMAIL-MEMO.

           WRITE LINEA FROM EMAIL-END-VAR-MEMO.

           WRITE LINEA FROM EMAIL-TYPE-HTML.

           MOVE ".\HTML\EMAIL6.HTM" TO FILE-TEMPLATE.
           WRITE LINEA FROM EMAIL-TEMPLATE.

           GO TO 900-FIN.


       900-FIN.
           CLOSE EMAILDATA.

           CALL "SYSTEM" USING
                "c:\cobemail\cobSendM.EXE EMAIL.TXT /nodel".


       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

